org.keycloak.authorization.protection.permission

## Class PermissionTicketService

- java.lang.Object
- - org.keycloak.authorization.protection.permission.PermissionTicketService

-     public class PermissionTicketService
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionTicketService(KeycloakIdentity identity, ResourceServer resourceServer, AuthorizationProvider authorization)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `create(PermissionTicketRepresentation representation)`
    `javax.ws.rs.core.Response` | `delete(String id)`
    `javax.ws.rs.core.Response` | `find(String scopeId, String resourceId, String owner, String requester, Boolean granted, Boolean returnNames, Integer firstResult, Integer maxResult)`
    `javax.ws.rs.core.Response` | `getPermissionCount(String scopeId, String resourceId, String owner, String requester, Boolean granted, Boolean returnNames)`
    `javax.ws.rs.core.Response` | `update(PermissionTicketRepresentation representation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionTicketService

          public PermissionTicketService(KeycloakIdentity identity,
                                         ResourceServer resourceServer,
                                         AuthorizationProvider authorization)

  - ### Method Detail

    - #### create

          @POST
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response create(PermissionTicketRepresentation representation)

    - #### update

          @PUT
           @Consumes(value="application/json")
          public javax.ws.rs.core.Response update(PermissionTicketRepresentation representation)

    - #### delete

          @Path(value="{id}")
           @DELETE
           @Consumes(value="application/json")
          public javax.ws.rs.core.Response delete(@PathParam(value="id")
                                                                                                                    String id)

    - #### find

          @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response find(@QueryParam(value="scopeId")
                                                                                          String scopeId,
                                                                                          @QueryParam(value="resourceId")
                                                                                          String resourceId,
                                                                                          @QueryParam(value="owner")
                                                                                          String owner,
                                                                                          @QueryParam(value="requester")
                                                                                          String requester,
                                                                                          @QueryParam(value="granted")
                                                                                          Boolean granted,
                                                                                          @QueryParam(value="returnNames")
                                                                                          Boolean returnNames,
                                                                                          @QueryParam(value="first")
                                                                                          Integer firstResult,
                                                                                          @QueryParam(value="max")
                                                                                          Integer maxResult)

    - #### getPermissionCount

          @Path(value="/count")
           @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response getPermissionCount(@QueryParam(value="scopeId")
                                                                                                                               String scopeId,
                                                                                                                               @QueryParam(value="resourceId")
                                                                                                                               String resourceId,
                                                                                                                               @QueryParam(value="owner")
                                                                                                                               String owner,
                                                                                                                               @QueryParam(value="requester")
                                                                                                                               String requester,
                                                                                                                               @QueryParam(value="granted")
                                                                                                                               Boolean granted,
                                                                                                                               @QueryParam(value="returnNames")
                                                                                                                               Boolean returnNames)

Copyright © 2021 JBoss by Red Hat. All rights reserved.